// =============================================================================
// HEADER (CSS)
//
// Custom header for theme emthemes-modez. Inherits css from the base theme.
//
// -----------------------------------------------------------------------------


.header {
    min-height: $header-height;
    box-shadow: 0 2px 5px rgba(color("blacks"), 0.2);
    border-bottom: 0;
    z-index: zIndex("high");

    @include breakpoint("medium") {
        border-bottom: 0;
        box-shadow: none;
        z-index: auto;

        &.is-sticky {
            position: fixed;
            z-index: zIndex("high");
        }
    }
}

.header-logo {

    &--center{
        .header-logo-image-container{
            margin: auto;
        }
    }

    > a {
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: $header-height;
        width: 100%;

        @at-root .header-logo--left > a {
            justify-content: flex-start;
        }

        @at-root .header-logo--right > a {
            justify-content: flex-end;
        }

        &:hover {
            color: $storeName-color;
        }

        &:active {
            color: $storeName-color;
        }
    }

    @include breakpoint("medium") {
        margin-top: 0;
        margin-bottom: 0;

        > a {
            display: inline;
        }
    }
}

.header-logo-text {
    letter-spacing: letterSpacing("base");
    font-weight: fontWeight("normal");
    margin: 0;
}

.header-logo-image-container {
    width: get-width(stencilString('logo_size'));
    max-width: 100%;

    .header-logo-image {
        @include breakpoint("medium") {
            max-height: 100%;
        }
    }

}

// .is-sticky {
//     @include breakpoint("medium") {
//         .header-logo-image-container:after {
//             padding-bottom: calc(#{unquote(get-height(stencilString('logo_size')))} / 2);
//         }
//         .header-logo-image {
//             max-height: 100%;
//         }
//     }
// }


.mobileMenu-toggle {
    .mobileMenu-toggleIcon,
    .mobileMenu-toggleIcon::before,
    .mobileMenu-toggleIcon::after {
        background: stencilColor("navUser-color");
    }

    &.is-open .mobileMenu-toggleIcon {
        // scss-lint:disable NestingDepth
        &::before,
        &::after {
            background-color: stencilColor("navUser-color");
        }
    }
}


.emthemesModez-header-userSection .emthemesModez-quickSearch {
    display: none;

    @include breakpoint("medium") {
        display: block;
    }
}

// ============================================================================
// Top bar on the header
// ============================================================================

.emthemesModez-header-topSection {
    background-color: stencilColor("topHeader-bgColor");
    color: stencilColor("topHeader-color");

    @if $theme-style == "compact" {
        border-bottom: 0;
    }
    @else {
        border-bottom: 1px solid stencilColor("topHeader-borderColor");
    }

    .container {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &:before,
    &:after {
        display: none;
    }

    .navUser {
        width: auto;
        padding: 0;
        z-index: auto;
    }

    .navUser--storeInfo .navUser-item {
        color: stencilColor("topHeader-color");
    }

    .navUser-or {
        color: stencilColor("topHeader-color");

        @if $theme-style == "compact" {
            padding-top: spacing("fifth");
        }
    }

    .navUser-welcome {
        display: inline-block;
        @if $theme-style == "compact" {
            padding-top: spacing("fifth");
        }
    }

    .navUser-action {
        color: stencilColor("topHeader-color");
        display: inline-flex;
        align-items: center;

        @if $theme-style == "compact" {
            padding: spacing("fifth") spacing("fifth") 0;
        }
        @else {
            padding: spacing("half");
        }

        svg {
            fill: stencilColor("topHeader-icon-color");
            stroke: stencilColor("topHeader-icon-color");
        }

        &:hover,
        &:focus,
        &:active {
            color: stencilColor("topHeader-color-hover");
        }
    }

    .navUser-item-icon {
        font-size: fontSize("base");
        color: stencilColor("topHeader-icon-color");
    }

    .navUser-item--account {
        @include breakpoint("medium") {
            align-items: center;
        }

        .navUser-action {
            vertical-align: middle;
        }

        .navUser-or {
            vertical-align: middle;
        }
    }
}


// Modern Style
// ----------------------------------------------------------------------------
.papaSupermarket-style--modern .emthemesModez-header-topSection {
    .navUser-action {
        padding-top: spacing("quarter");
        padding-bottom: spacing("quarter");
        font-size: fontSize("smaller");
    }

    .navUser-item + .navUser-item {
        border-left: 1px solid rgba(stencilColor("topHeader-color"), 0.2);
    }

    .navUser-section + .navUser-section .navUser-item {
        border-left: 1px solid rgba(stencilColor("topHeader-color"), 0.2);
    }
}


// ============================================================================
// Header variations (left, center, right)
// ============================================================================

.emthemesModez-header-userSection > .container {
    @include breakpoint("medium") {
        display: flex;
        justify-content: space-between;
        align-items: center;
        //transition: all 0.2s ease-in;

        @if $theme-style == "compact" {
            padding-top: spacing("half");
            padding-bottom: spacing("half");
        }
        @else {
            padding-top: spacing("single");
            padding-bottom: spacing("single");
        }

        .navUser {
            width: auto;
        }

        .header-logo {
            min-width: 20%;
            margin-left: 0;
            margin-right: 0;
        }

        .emthemesModez-quickSearch {
            order: 2;
            flex: 1;
        }
    }
}

.header--sticky-condensed.is-sticky .emthemesModez-header-userSection > .container,
.emthemesModez-header-userSection.is-sticky > .container {
    @include breakpoint("medium") {
        transition: all 0.2s ease-in-out;

        @if $theme-style == "compact" {
            padding-top: spacing("quarter");
            padding-bottom: spacing("quarter");
        }
        @else {
            padding-top: spacing("half");
            padding-bottom: spacing("half");
        }
    }
}

.header--sticky-condensed .emthemesModez-header-topSection {
    @include breakpoint("medium") {
        max-height: rem-calc(50px);
    }
}
.header--sticky-condensed.is-sticky .emthemesModez-header-topSection {
    @include breakpoint("medium") {
        overflow: hidden;
        max-height: 0;
        transition: all 0.2s ease-in-out;
    }
}

.emthemesModez-header-userSection--logo-left > .container {
    @include breakpoint("medium") {
        display: flex;
        justify-content: space-between;
        align-items: center;

        .navUser {
            order: 3;
            padding-right: 0;
        }

        .header-logo {
            order: 1;
            padding-right: spacing("single");
        }
    }
}

.emthemesModez-header-userSection--logo-right > .container {
    @include breakpoint("medium") {
        .navUser {
            order: 1;
            padding-left: 0;
        }

        .header-logo {
            order: 3;
            padding-left: spacing("single");
        }
    }
}


.emthemesModez-header-userSection--logo-center > .container {
    @include breakpoint("medium") {
        .navUser {
            order: 3;
            flex: 1 0 0;
            //width: width("3/12");
            padding-right: 0;
            justify-content: flex-end;
        }

        .header-logo {
            order: 2;
            flex: 0 0 auto;
            //width: width("6/12");
            padding-left: spacing("single");
            padding-right: spacing("single");
        }

        .emthemesModez-quickSearch {
            order: 1;
            flex: 1 0 0;
            //width: width("3/12");
        }
    }
}

// ----------------------------------------------------------------------------
// Header User Section - Modern Style
// ----------------------------------------------------------------------------
.papaSupermarket-style--modern .emthemesModez-header-userSection {
    @include breakpoint("medium") {
        .container {
            padding-top: spacing("half");
            padding-bottom: spacing("quarter");
        }
        .navUser {
            &:before,
            &:after {
                display: none;
            }
        }

        .navUser-item-icon {
            font-size: fontSize("largest");
            color: stencilColor("navUser-color");
            display: inline-flex;

            .icon {
                width: fontSize("largest");
                height: fontSize("largest");
                margin-left: 0;
            }

            &:before {
                vertical-align: baseline;
            }
        }

        .navUser-section {
            justify-content: flex-end;

            &:before,
            &:after {
                display: none;
            }
        }

        .navUser-item--account {
            align-items: center;

            .navUser-action {
                display: block;
            }

            .navUser-item-icon:before {
                vertical-align: baseline;
            }
        }

        .navUser-action--wishlist,
        .navUser-action--recentlyViewed,
        .navUser-action--giftCert {
            display: flex;
            align-items: center;
        }

        .navUser-action {
            line-height: 1.15;
        }

        .navUser-action--cart {
            display: flex;
            align-items: baseline;
        }

        .navUser-item-wishlistLabel,
        .navUser-item-recentlyViewedLabel,
        .navUser-item-giftCertLabel {
            .firstword {
                display: block;
            }
        }

        .countPill:not(.countPill--alt) {
            display: block;
            position: absolute;
            top: -2px;
            left: 40px;
            min-width: calc(100% - 45px);
            border-radius: 10px;
            font-size: fontSize("smaller");
            font-weight: fontWeight("normal");
        }
    }
}

// ----------------------------------------------------------------------------
// navPages Main Navigation - Modern Style
// ----------------------------------------------------------------------------
.papaSupermarket-style--modern {
    @include breakpoint("medium") {
        .navPages-action {
            padding-top: spacing("third");
            padding-bottom: spacing("third");
        }

        .navPages-socials {
            padding-top: 0;
        }

        .emthemesModez-header-userSection.is-sticky > .container {
            padding-top: spacing("quarter");
            padding-bottom: spacing("quarter");
        }
    }
}
